public class LoggerReceiver implements ApplicationReceiver {
    int r_count;

    public LoggerReceiver() {
	r_count = 0;
    }

    public void deliver(byte [] data, int size) {
	r_count += 1;
	System.out.printf("%f ", Simulation.time());
	String display = (data.length > 8) ? (new String(data,0,8) + "...") : new String(data);
	System.out.println("Receiver:" + r_count + ": data=" + display + " size=" + size);
    }

    public void close() {
	System.out.printf("%f ", Simulation.time());
	System.out.println("Receiver: closed.");
    }
}
