public class TCPPacket implements Packet {
    int src_port;		// multiplexing
    int dst_port;		// de-multiplexing

    int seq_num;		// reliability
    int ack_num;

    boolean syn;
    boolean ack;
    boolean fin;

    byte [] app_data;
    int app_size;

    TCPPacket(byte [] d, int s) {
	app_data = d;
	app_size = s;
    }

    public int size() {
	return app_size + 20;
    }

    public String toString() {
	if (app_data == null) {
	    return "(null)";
	} else if (app_data.length > 8) {
	    return new String(app_data,0,8) + "...";
	} else {
	    return new String(app_data);
	}
    }
}
